#ifndef MagneticField_h
#define MagneticField_h

#include "classes/DelphesModule.h"

class TClonesArray;
class TIterator;

class MagneticField: public DelphesModule
{
public:

  MagneticField();
  ~MagneticField();

  void Init();
  void Process();
  void Finish();

private:

  Int_t fMaxIterations, fOverflowCounter;
  Double_t fRadius, fRadius2, fLength;
  Double_t fBx, fBy, fBz;

  TIterator *fItInputArray; //!

  const TObjArray *fInputArray; //!

  TObjArray *fOutputArray; //!
  ClassDef(MagneticField, 1)
};

#endif
