{
  #include <stdexcept>
  gSystem->Load("libDelphes");

  TFile *outputFile = TFile::Open("test.root", "RECREATE");
  ExRootTreeWriter *treeWriter = new ExRootTreeWriter(outputFile, "Delphes");

  ExRootConfReader *confReader = new ExRootConfReader;
  
  Delphes *modularDelphes = new Delphes("Delphes");

  TObjArray *particleOutputArray = modularDelphes->ExportArray("particles");
  TObjArray *candidateOutputArray = modularDelphes->ExportArray("candidates");
  TObjArray *partonOutputArray = modularDelphes->ExportArray("partons");

  confReader->ReadFile("etc/delphes_card_CMS.tcl");

  modularDelphes->SetConfReader(confReader);
  modularDelphes->SetTreeWriter(treeWriter);

  modularDelphes->InitTask();

  TBrowser browser;
}